from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext
import numpy

setup(
	name = 'admmDP',
	version = '1.0',
	author = "Aaron Defazio",
	author_email = "aaron.defazio@anu.edu.au",
	license = "BSD",
	keywords = "covariance bioinformatics",
	url = "http://users.cecs.anu.edu.au/~adefazio/",
	long_description = "Covariance selection with degree priors",
    cmdclass = {'build_ext': build_ext},
    ext_modules = [
        Extension("prox_dp", 
                  ['prox_dp.pyx'], 
		          extra_compile_args=["-mtune=core2", "-march=core2", 
                                      "-O3", "-Wno-unused"],
                  include_dirs=[numpy.get_include()])]
)
