
import logging
import logging.config
import time
import scipy
from admm_dp import *
from degree_weights import *
from edge_correctness import *
from numpy import *

props = {
     'priorWeight': 0.8, # Change to get desired number of edges
     'maxParamaterOptIters': 800,
     
     # If the method doesn't converge, mu may need to be changed
     # to a different value. It attempts to tune it automatically,
     # but it doesn't always work.
     'adaptiveMu': True,
     'mu': 0.5,
}

# Make matrices readable:
set_printoptions(precision=3, suppress=True, linewidth=100)

#### Setup logging ####
logging.basicConfig(format='%(asctime)-15s %(message)s', level=logging.INFO)
logger = logging.getLogger("opt")

mats = load('testMatrix1.npz')
cov = mats['cov']
A = mats['A'] # True edge structure indicator matrix

n = cov.shape[0]

a = rootDegreeWeights(n=n+1, power=2.0, linearSlope=0.1)
#a = logDegreeWeights(n=n+1, offset=0.5, linearSlope=0.5)
#a = linearDegreeWeights(n=n+1)

logger.info("a: %s", a[:10])

#### Run ####
results = admmDP(cov, a, props)

X = results['X']
edgeCorrectness(X,A, logger)



